Package net.shibboleth.idp.installer.impl

# Class FinalizeJettyBase

java.lang.Object
net.shibboleth.idp.installer.impl.FinalizeJettyBase

@Deprecated public final class FinalizeJettyBase extends Object
Deprecated.
This is only used by the windows jetty-base installer and will be removed when we use the plugin
Small class to do the post install work on an embedded jetty-base.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Path`
`idpHome`
Deprecated.
The IdP Installation dir.
`private final Path`
`jettyBase`
Deprecated.
The jetty-base dir.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`FinalizeJettyBase()`
Deprecated.
Constructor.

## Method Summary

Modifier and Type
Method
Description
`private void`
`copyFile(Path fromFile, Path toFile)`
Deprecated.
Copy one file to another.
`private void`
`createDirectories()`
Deprecated.
If they don't exists create.
`private void`
`createP12IdPini()`
Deprecated.
Create the jetty.sslContext.keyStorePath as a copy from the idp.backchannel.keyStorePath file.
`private void`
`execute()`
Deprecated.
Do the work associated with finalizing this install.
`static void`
`main(String[] args)`
Deprecated.
Main entry.
`private void`
`reprotect()`
Deprecated.
lock down the jetty base directory.
`private void`
`updateIdPini()`
Deprecated.
Rewrite any property names needed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### idpHome

@Nonnull private final Path idpHome
Deprecated.
The IdP Installation dir.

### jettyBase

@Nonnull private final Path jettyBase
Deprecated.
The jetty-base dir.

## Constructor Details

### FinalizeJettyBase

private FinalizeJettyBase() throws IOException
Deprecated.
Constructor.

Throws:
  `IOException` - if we are incorrectly configured

## Method Details

### execute

private void execute() throws IOException
Deprecated.
Do the work associated with finalizing this install.

Throws:
  `IOException` - if we encounter other issues

### createDirectories

private void createDirectories() throws IOException
Deprecated.
If they don't exists create.

Throws:
  `IOException` - if we failed to create a directory

### createP12IdPini

private void createP12IdPini() throws IOException
Deprecated.
Create the jetty.sslContext.keyStorePath as a copy from the idp.backchannel.keyStorePath file. The create start.d/idp.ini from the start.d.dist/idp.ini.windows but replacing the two password properties

Throws:
  `IOException` - if we trip up.

### updateIdPini

private void updateIdPini() throws IOException
Deprecated.
Rewrite any property names needed.

Throws:
  `IOException` - on a failed update

### copyFile

private void copyFile(@Nonnull Path fromFile, @Nonnull Path toFile) throws IOException
Deprecated.
Copy one file to another.

Parameters:
  `fromFile` - from
  `toFile` - to
Throws:
  `IOException` - if it fails.

### reprotect

private void reprotect()
Deprecated.
lock down the jetty base directory.

### main

public static void main(String[] args) throws IOException
Deprecated.
Main entry.

Parameters:
  `args` - As supplied
Throws:
  `IOException` - if there is a problem with the jetty base.